package com.sw.mes.store.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.sw.mes.core.dto.store.WarehouseInputBillDetailBo;
import com.sw.mes.store.entity.WarehouseInputBillDetail;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Set;

/**
 * @Author wupeng
 * @Description 入库单详情
 * @Date 18:58 2023/7/27
 * @Param
 * @return
 **/
public interface WarehouseInputBillDetailService extends IService<WarehouseInputBillDetail> {
    List<WarehouseInputBillDetail> getByBillNo(String billNo);

    List<WarehouseInputBillDetail> getByBillId(Long billId);
    List<WarehouseInputBillDetail> getByBillIds(List<Long> billId);


    WarehouseInputBillDetail getByUniqueCode(String uniqueCode);

    List<WarehouseInputBillDetail> getByBatchNo(String batchNo);
    List<WarehouseInputBillDetail> findWarehouseInputBillDetailsBySerialNoOrTraceIdOrBatchNo(@RequestParam String code);

    List<WarehouseInputBillDetail> findBatchNoBySerialNoOrTraceId(String serialNo,String traceId);
    List<WarehouseInputBillDetailBo> findWarehouseInputBillDetailsByMaterialCode(String materialCode);

    Set<String> getDistinctMaterialCode(int page, int PageSize);

//    String findDetailsByMaterialBatchNoWarehouseType(String materialCode,String batchNo,String warehouseCode,String type);
}
